---
title: "Campaigns Lists"
description: "Method allows to get campaigns lists grouped by type and status with information about last campaign change date."
lang: en-US
source: https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/promotion/get-adv-v1-promotion-count
---

# Campaigns Lists

```http
GET /adv/v1/promotion/count
```

**Base URL:** `https://advert-api.wildberries.ru` · **Module:** [`promotion`](https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/promotion/) · **Section:** Campaigns · [Specification doc ↗](https://dev.wildberries.ru/en/docs/openapi/promotion#tag/campaigns/operation/getV1PromotionCount)

Method allows to get campaigns lists grouped by type and status with information about last campaign change date.

[Request limit](https://dev.wildberries.ru/openapi/api-information#tag/introduction/Rate-Limits) per one seller account:

| Type             | Period | Limit      | Interval | Burst      |
| ---------------- | ------ | ---------- | -------- | ---------- |
| Personal         | 1 s    | 5 requests | 200 ms   | 5 requests |
| Service          | 1 s    | 5 requests | 200 ms   | 5 requests |
| Base with secret | 1 s    | 5 requests | 200 ms   | 5 requests |
| Base             | 1 h    | 4 requests | 15 min   | 1 request  |

## Responses

| Code  | Description       | Schema                           |
| ----- | ----------------- | -------------------------------- |
| `200` | Success           | `GetV1PromotionCountResponse200` |
| `401` | Unauthorized      | `object`                         |
| `403` | Access denied     | `object`                         |
| `429` | Too many requests | `object`                         |

**Structure `200`:**

- `adverts` `object[]` — Campaign data
  - `type` `integer<int64>` — Campaign type: - `8` — campaign with standard bid (**deprecated type**) - `9` — campaign with standard or custom bid. You can get the bid type with the [Campaigns Information](https://dev.wildberries.ru/openapi/promotion#tag/campaigns/operation/getV3Adverts) method, `bid_type` field
  - `status` `integer<int64>` — Campaign status
  - `count` `integer<int64>` — Campaigns number
  - `advert_list` `object[]` — Campaigns list
    - `advertId` `integer<int64>` — Campaign ID
    - `changeTime` `string` — Date and time of the last campaign change
- `all` `integer<int64>` — Total number of campaigns with all statuses and types

**Structure `401`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `403`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `429`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

## Call examples

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

**Python**

```python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi

cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))

result = api.get_v1_promotion_count()
print(result)
```

**TypeScript**

```ts
import {
  Configuration,
  PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);

const { data } = await api.getV1PromotionCount();
console.log(data);
```

**Go**

```go
import (
	"context"
	"fmt"

	wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)

cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)

result, _, err := client.PromotionAPI.GetV1PromotionCount(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
```

**Java**

```java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);

System.out.println(api.getV1PromotionCount());
```

**PHP**

```php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);

print_r($api->getV1PromotionCount());
```

**OneScript**

```bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);

Сообщить(Клиент.GetV1PromotionCount().Тело);
```

**C#**

```csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);

Console.WriteLine(api.GetV1PromotionCount());
```

**Rust**

```rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = promotion_api::get_v1_promotion_count(&cfg).await;
    println!("{:#?}", result);
}
```
